Bug 503296 - SELinux is preventing ck-get-x11-serv (consolekit_t) "search" mnt_t
SELinux is preventing ck-get-x11-serv (consolekit_t) "search" mnt_t
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-30 18:32 EDT by Andrew K. Mitchell
Modified: 2009-09-24 11:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-24 11:26:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew K. Mitchell 2009-05-30 18:32:55 EDT
Summary:

SELinux is preventing ck-get-x11-serv (consolekit_t) "search" mnt_t.

Detailed Description:

SELinux denied access requested by ck-get-x11-serv. It is not expected that this
access is required by ck-get-x11-serv and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                system_u:system_r:consolekit_t:s0-s0:c0.c1023
Target Context                system_u:object_r:mnt_t:s0
Target Objects                mnt [ dir ]
Source                        ck-get-x11-serv
Source Path                   /usr/libexec/ck-get-x11-server-pid
Port                          <Unknown>
Host                          zeus.snarrow.com
Source RPM Packages           ConsoleKit-x11-0.3.0-8.fc11
Target RPM Packages           filesystem-2.4.21-1.fc11
Policy RPM                    selinux-policy-3.6.12-39.fc11
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     zeus.snarrow.com
Platform                      Linux zeus.snarrow.com 2.6.29.4-167.fc11.i586 #1
                              SMP Wed May 27 17:14:37 EDT 2009 i686 i686
Alert Count                   22
First Seen                    Thu 28 May 2009 08:11:54 AM EDT
Last Seen                     Sat 30 May 2009 06:11:28 PM EDT
Local ID                      75018822-1287-442f-97c6-6b703e57b013
Line Numbers                  

Raw Audit Messages            

node=zeus.snarrow.com type=AVC msg=audit(1243721488.814:754): avc:  denied  { search } for  pid=6616 comm="ck-get-x11-serv" name="mnt" dev=dm-0 ino=14884865 scontext=system_u:system_r:consolekit_t:s0-s0:c0.c1023 tcontext=system_u:object_r:mnt_t:s0 tclass=dir

node=zeus.snarrow.com type=SYSCALL msg=audit(1243721488.814:754): arch=40000003 syscall=33 success=no exit=-13 a0=bfee5f86 a1=4 a2=d13a60 a3=bfee5f86 items=0 ppid=6615 pid=6616 auid=4294967295 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=4294967295 comm="ck-get-x11-serv" exe="/usr/libexec/ck-get-x11-server-pid" subj=system_u:system_r:consolekit_t:s0-s0:c0.c1023 key=(null)


Policy version:

selinux-policy-targeted-3.6.12-39.fc11.noarch
Comment 1 Daniel Walsh 2009-06-01 06:45:15 EDT
Jon any idea what it would be looking for in the /mnt directory?
Comment 2 Bug Zapper 2009-06-09 12:52:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 jmccann 2009-09-23 23:22:29 EDT
Dan, not really...

Here is the extent of that program:
http://cgit.freedesktop.org/ConsoleKit/plain/tools/ck-get-x11-server-pid.c

Would XOpenDisplay be looking in there?
Comment 4 Daniel Walsh 2009-09-24 11:26:52 EDT
This is fixed in the current release.

Note You need to log in before you can comment on or make changes to this bug.